#
# spec file for package ghc-relational-query
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%global pkg_name relational-query
%bcond_with tests
Name:           ghc-%{pkg_name}
Version:        0.9.4.1
Release:        lp150.1.7
Summary:        Typeful, Modular, Relational, algebraic query engine
License:        BSD-3-Clause
Group:          Development/Languages/Other
Url:            https://hackage.haskell.org/package/%{pkg_name}
Source0:        https://hackage.haskell.org/package/%{pkg_name}-%{version}/%{pkg_name}-%{version}.tar.gz
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-array-devel
BuildRequires:  ghc-bytestring-devel
BuildRequires:  ghc-containers-devel
BuildRequires:  ghc-dlist-devel
BuildRequires:  ghc-names-th-devel
BuildRequires:  ghc-persistable-record-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-sql-words-devel
BuildRequires:  ghc-template-haskell-devel
BuildRequires:  ghc-text-devel
BuildRequires:  ghc-th-reify-compat-devel
BuildRequires:  ghc-time-devel
BuildRequires:  ghc-time-locale-compat-devel
BuildRequires:  ghc-transformers-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%if %{with tests}
BuildRequires:  ghc-quickcheck-simple-devel
%endif

%description
This package contiains typeful relation structure and relational-algebraic
query building DSL which can translate into SQL query. Supported query features
are below: - Type safe query building - Restriction, Join, Aggregation -
Modularized relations - Typed placeholders.

%package devel
Summary:        Haskell %{pkg_name} library development files
Group:          Development/Libraries/Other
Requires:       %{name} = %{version}-%{release}
Requires:       ghc-compiler = %{ghc_version}
Requires(post): ghc-compiler = %{ghc_version}
Requires(postun): ghc-compiler = %{ghc_version}

%description devel
This package provides the Haskell %{pkg_name} library development
files.

%prep
%setup -q -n %{pkg_name}-%{version}

%build
%ghc_lib_build

%install
%ghc_lib_install

%check
%cabal_test

%post devel
%ghc_pkg_recache

%postun devel
%ghc_pkg_recache

%files -f %{name}.files
%defattr(-,root,root,-)
%doc LICENSE

%files devel -f %{name}-devel.files
%defattr(-,root,root,-)
%doc ChangeLog.md

%changelog
* Thu Jul 27 2017 psimons@suse.com
- Update to version 0.9.4.1.
* Thu May 18 2017 psimons@suse.com
- Update to version 0.8.4.0 with cabal2obs.
* Sun Apr  9 2017 psimons@suse.com
- Update to version 0.8.3.6 with cabal2obs.
* Mon Feb 20 2017 psimons@suse.com
- Update to version 0.8.3.5 with cabal2obs.
* Sun Feb  5 2017 psimons@suse.com
- Update to version 0.8.3.4 with cabal2obs.
* Thu Oct 27 2016 psimons@suse.com
- Update to version 0.8.3.2 with cabal2obs.
* Sun Aug 21 2016 psimons@suse.com
- Update to version 0.8.3.1 revision 0 with cabal2obs.
* Fri Jul 22 2016 psimons@suse.com
- Update to version 0.8.3.0 revision 0 with cabal2obs.
* Sun Jul 10 2016 psimons@suse.com
- Update to version 0.8.2.3 revision 0 with cabal2obs.
